Mailinglist Archive: opensuse-commit (1059 mails)

< Previous Next >
commit alpine
  • From: root@xxxxxxxxxxxxxxx (h_root)
  • Date: Sat, 12 Jan 2008 02:21:08 +0100
  • Message-id: <20080112012108.E4DB46781B8@xxxxxxxxxxxxxxx>

Hello community,

here is the log from the commit of package alpine
checked in at Sat Jan 12 02:21:08 CET 2008.

--------
--- alpine/alpine.changes 2007-09-25 13:07:42.000000000 +0200
+++ /mounts/work_src_done/STABLE/alpine/alpine.changes 2008-01-11
17:06:19.000000000 +0100
@@ -1,0 +2,5 @@
+Fri Jan 11 17:04:18 CET 2008 - bk@xxxxxxx
+
+- Update to alpine-1.00 and apply fixes suggested for this version
+
+-------------------------------------------------------------------

Old:
----
alpine-0.9999.tar.bz2
configure-gssapi-detection.diff

New:
----
alpine-1.00.tar.bz2

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ alpine.spec ++++++
--- /var/tmp/diff_new_pack.h11351/_old 2008-01-12 02:20:22.000000000 +0100
+++ /var/tmp/diff_new_pack.h11351/_new 2008-01-12 02:20:22.000000000 +0100
@@ -1,7 +1,7 @@
#
-# spec file for package alpine (Version 0.9999)
+# spec file for package alpine (Version 1.00)
#
-# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
@@ -13,9 +13,15 @@
#
# Package configuration:
#
+%if %{suse_version} > 1030
+%define obsolete_pine 1
+%define provide_pico_and_pilot 1
+%else
%define obsolete_pine 0
%define provide_pico_and_pilot 0
+%endif
%define build_alpined 0
+#
# For debugging only:
%define use_mudflap 0
%define build_vanilla 0
@@ -39,8 +45,8 @@
Conflicts: pine4
%endif
#
-Version: 0.9999
-Release: 10
+Version: 1.00
+Release: 1
License: The Apache Software License
Group: Productivity/Networking/Email/Clients
AutoReqProv: on
@@ -58,7 +64,7 @@
cd %{_sourcedir};cp %{name}-%{version}{,-build}.tar.bz2
bunzip2 %{name}-%{version}-build.tar.bz2
tar --delete --file=%{name}-%{version}-build.tar \
- ./%{name}-%{version}/pico/msmem.c ./alpine-0.9999/imap/docs
+ ./%{name}-%{version}/pico/msmem.c ./%{name}-%{version}/imap/docs
echo >%{name}-%{version}.README.SUSE <<END
Some files which are not needed for compilation have been removed from
this tarball. You can get the full tarball from %{URL}.
@@ -86,7 +92,6 @@
#
# Patches for the compilation system and versioning:
#
-Patch90: configure-gssapi-detection.diff
Patch103: support-long-version.diff
#
# Eduardo Chappa's patches. Currently, We only use the 'all_in_one' version:
@@ -161,7 +166,6 @@
%else
sh %{SOURCE600} --apply %{SOURCE601}
%endif
-#patch501 -p1
#
# SuSE patches - warning fixes, etc:
#
@@ -172,7 +176,6 @@
%patch20 -p1
%patch40 -p1
%patch60 -p1
-%patch90 -p1
%endif # End of "if !{build_vanilla}"

%build
@@ -181,19 +184,15 @@
%define _host_os %{_os}%{?_gnu}
%define _host %{_host_cpu}-%{_host_vendor}-%{_host_os}
%endif
-autoreconf -fi
#
-# Comments on disabled warnings: The disabled warnings are rather harmless
-# (If they were not, alpine would not work at all, they are trigged in mass,
-# because until recently developers did use gcc-3.x exclusivley)
-# and disabling them allows one to focus on the warnings which could indicate
-# real bugs. By alpine-0.9999, several warnings have been eliminated however:
+# Comment on disabled warnings: The disabled warnings are rather harmless
+# and disabling them allows to focus on the really serious warnings:
#
export CFLAGS="${RPM_OPT_FLAGS/-O2/-Os} \
%if %{suse_version} >= 1010
- -Wno-strict-aliasing -Wno-pointer-sign -Wno-unused \
+ -Wno-unused-value -Wno-strict-aliasing -Wno-pointer-sign
-Wno-unused \
%endif
-%if %{suse_version} == 1030
+%if %{suse_version} >= 1030
-Wno-address \
%endif
%if %{use_mudflap}
@@ -342,6 +341,8 @@
: 'Expect those rpmlint warnings: The resulting binaries are not packaged:'
: 'W: alpine uninitialized-variable dmail.c: 435'
: 'W: alpine uninitialized-variable tmail.c: 531'
+: 'This warning is invalid, gcc is wrong here:'
+: 'W: alpine uninitialized-variable string.c: 421'

%files
%defattr(-, root, root)
@@ -351,7 +352,7 @@
%doc %{_mandir}/man1/mailutil.1.gz
%doc README NOTICE LICENSE
%doc doc/mailcap.unx doc/mime.types doc/tech-notes.txt doc/tech-notes/*.html
-%{_bindir}/alpine
+%{_bindir}/*pine
%{_bindir}/alpinef
%{_bindir}/rp*
%{_bindir}/mailutil
@@ -369,7 +370,10 @@
%{_bindir}/pilot
%doc %{_mandir}/man1/pilot.1.gz
%endif
+
%changelog
+* Fri Jan 11 2008 - bk@xxxxxxx
+- Update to alpine-1.00 and apply fixes suggested for this version
* Tue Sep 25 2007 - bk@xxxxxxx
- Use only select patches from Eduardo (fixes crash in mail reader)
* Wed Sep 19 2007 - bk@xxxxxxx

++++++ alpine-0.9999.tar.bz2 -> alpine-1.00.tar.bz2 ++++++
++++ 183588 lines of diff (skipped)



++++++ chappa-cherrypick.sh ++++++
--- alpine/chappa-cherrypick.sh 2007-09-21 20:58:59.000000000 +0200
+++ /mounts/work_src_done/STABLE/alpine/chappa-cherrypick.sh 2008-01-11
16:06:26.000000000 +0100
@@ -7,17 +7,7 @@
# very sensitive to change, the part below must stay as it is or
# you will loose this script in the update process if you say "y":
cat<<OTHERS
-alt_addresses_domain Add support for the syntax *@mydomain.com to the
alt-addresses configuration option.
-stevepicobug Fix a bug that makes pico miss the alignment of text in the
editor.
-jasonbsdbug Fix a bug that makes Alpine crash in Freebsd, when it is built
with thread support.
-steveencodingbug Fix a bug that makes Alpine corrupt an array used to save
known encodings (like 7BIT, 8BIT, etc.)
-stevemacosbug Fix a bug that makes Alpine be very slow on a Mac.
-pawelthreadchar Change the default last reply in a thread from '|' to '\'.
-pawelclocksize Change the default index format to include size in Kilobytes
and date in 24 hours format.
-stevepostponedcharset Fix a bug that makes Alpine change the charset of a
message from the default to UTF-8 when you postpone a message.
-stevecountbug Fix a bug that makes Alpine give the incorrect information about
the number of messages in a folder.
-stevecolorbug Fix a bug that makes Alpine fail to color an index line when a
flag has changed in a message.
-steveeditingbug Fix a bug that makes editing long configuration lines
confusing.
+ <LI><A NAME= which makes Alpine warn if no fcc folder has been
defined before sending the message. See also: <A
HREF="http://homepage.ntlworld.com/phil.brooke/alpine/patch-alpine-1.00-warn_about_fcc-20071223a";>author's
patch web page</A>.
OTHERS
}
echo_patch_help() {
@@ -31,6 +21,10 @@
circtab Tab check folders on cycles. <A
HREF="h_config_circular_tab">(more...)</A>
count Get the number of new messages when opening a folder.
insertpat Reinsert the pattern you searched for last.
+patchlevel Shows the patchlevel of alpine
+picoreplacecrash Fix a bug that makes Pico crash in the replace command
+replacebug Fix a bug in Pico which makes it not update the screen
+stuffingbug Fix a bug that makes Alpine add spaces to flowed text messages
reply New Reply command menu.<A HREF="h_config_alt_reply_menu">(more...)</A>
fromheader Change your From header without any effort!
composeurl Choose a role when composing a message from a mailto: link.
@@ -55,12 +49,13 @@
# If it encounters a new patch, it is printed on stderror
#
print_which_shall_be_packaged() {
- grep '"info/' index.html | sed 's/.LI.\(.*\)<.*NAME="\([^"]*\)".*/\2
\1/'|
+ #grep '"info/' index.html | sed 's/.LI.\(.*\)<.*NAME="\([^"]*\)".*/\2
\1/'|
+ wget -m http://staff.washington.edu/chappa/alpine/readme/README.upgrade
&2
while read name text
do
case "$name" in
cygwin|all|windows) : 'always ignored';;
- WrtAcc|fancy|maildir|colortext|insertpat)
+
WrtAcc|fancy|maildir|colortext|insertpat|[ors]*bug|*crash)
: 'really wanted'
echo "$name";;
utf8bug|ignoresize|searchheader)
@@ -69,20 +64,35 @@
unverified)
: 'also wanted'
echo "$name";;
- rules) : 'conflicts with others and would need extra
work';;
+ rules) : 'conflicts with others and would need extra
work'
+ #echo "$name"
+ ;;
help|status|reply|DelText|outgoing|count)
: 'not important enough';;
quota|composeurl|fromheader|circtab)
: 'rather not';;
+ patchlevel)
+ : 'lets see';;
+ marksmtpbug)
+ : 'not found';;
fillpara)
: 'rather dangerous';;
- *) echo NEW: $name >&2;exit;;
+ password|'#')
+ : 'internal';;
+
+ *) error_out=1;echo NEW $name;;
esac
- done
- echo_others
+ done <staff.washington.edu/chappa/alpine/readme/README.upgrade
+ if [ "$error_out" ]; then
+ echo "Unhandled patches found!"
+ return 5
+ fi
+# echo_others
}
+#print_which_shall_be_packaged
+#exit
get_patch_path() {
- echo
staff.washington.edu/chappa/alpine/patches/alpine-0.9999/$1.patch.gz
+ echo staff.washington.edu/chappa/alpine/patches/alpine-1.00/$1.patch.gz
}
list_packaged_patches_urls() {
print_which_shall_be_packaged | while read name rest; do
@@ -90,9 +100,10 @@
done
}
update_OTHERS_section() {
+ return
wget --timestamping
http://staff.washington.edu/chappa/alpine/patches/others.html
- grep alpine-0.9999 others.html |
- sed 's/.*alpine-0.9999\///;s/.patch.gz//;s/".*A>,//;s/
Posted.*//;s/which fixes/Fix/;s/which changes/Change/;s/which adds/Add/' \
+ grep alpine-$version others.html |
+ sed 's/.*alpine-$version\///;s/.patch.gz//;s/".*A>,//;s/
Posted.*//;s/which fixes/Fix/;s/which changes/Change/;s/which adds/Add/' \
>others
sed '/^cat..OTHERS$/,/^OTHERS$/{/^cat..OTHERS$/b
ins;/^OTHERS/p;d};p;d;:ins;r others' ../$0 >change
diff ../$0 change || {
@@ -131,6 +142,7 @@
update_packaged_patches() {
mkdir -p test;cd test
do_update=true
+ print_which_shall_be_packaged || exit
#do_update=false
if $do_update;then
update_OTHERS_section
@@ -145,6 +157,9 @@
rm -rf $chappa_patchdir
mkdir $chappa_patchdir
print_which_shall_be_packaged | while read name rest; do
+ if [ "$name" = NEW: ]; then
+ exit
+ fi
zcat `get_patch_path $name` >$chappa_patchdir/$name
touch -r `get_patch_path $name` $chappa_patchdir/$name
done
@@ -301,8 +316,8 @@
}
generate_help_patch() {
cat <<END
---- alpine-0.9999/pith/pine.hlp
-+++ alpine-0.9999/pith/pine.hlp
+--- alpine-$version/pith/pine.hlp
++++ alpine-$version/pith/pine.hlp
@@ -163,6 +163,9 @@
is available as is a world wide web based version designed to run under the
Apache web server.
@@ -313,14 +328,6 @@
<H2>New in Alpine <!--#echo var="ALPINE_VERSION"--></H2>

Version <!--#echo var="ALPINE_VERSION"-->
-@@ -652,6 +652,7 @@
- <P>
- Some topics of current interest include:
- <UL>
-+<P><LI> Information on <A HREF="h_opensuse_patches">patches for this
release</A>
- <P><LI> <A HREF="h_maildrop">Mail Drops</A>
- <P><LI> Information on <A HREF="h_info_on_locking">Folder Locking</A>
- <P><LI> Information on <A HREF="h_info_on_mbox">Missing mail and the mbox
driver</A>
END
lines=$(generate_patch_help |wc -l)
start=1171

++++++ chappa-patches.tar.bz2 ++++++
++++ 6274 lines of diff (skipped)

++++++ signal-and-panic-improvements.diff ++++++
--- /var/tmp/diff_new_pack.h11351/_old 2008-01-12 02:20:32.000000000 +0100
+++ /var/tmp/diff_new_pack.h11351/_new 2008-01-12 02:20:32.000000000 +0100
@@ -8,23 +8,6 @@
#
http://www.gnu.org/software/libc/manual/html_node/Backtraces.html

---- signal.c
-+++ alpine-0.999/alpine/signal.c
-@@ -181,13 +181,7 @@ auger_in_signal(int sig)
- end_signals(1); /* don't catch any more signals */
- imap_flush_passwd_cache(FALSE);
-
--#if defined(SIGNALHASARG)
-- s = comatose(sig);
--#else
-- s = "?";
--#endif
--
-- snprintf(buf, sizeof(buf), "Received abort signal(sig=%s)", s);
-+ snprintf(buf, sizeof(buf), "Received abort signal(sig=%d)", sig);
- buf[sizeof(buf)-1] = '\0';
-
- panic(buf); /* clean up and get out */
--- alpine-0.999/alpine/alpine.c
+++ alpine-0.999/alpine/alpine.c
@@ -15,6 +15,7 @@ static char rcsid[] = "$Id: alpine.c 615


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



Remember to have fun...

---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages